List attachment changes since a timestamp
GET
/attachments/changes
const url = 'https://api.engram.page/attachments/changes?since=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.engram.page/attachments/changes?since=example' \ --header 'Authorization: Bearer <token>'Returns attachment changes (including deletions, flagged via deleted) updated at or after the since ISO 8601 timestamp, plus a server_time watermark for the next poll. A missing or invalid since returns 400.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”since
required
string
ISO 8601 timestamp cursor
Responses
Section titled “Responses”Changes
Media typeapplication/json
AttachmentChangesResponse
object
changes
required
Array<object>
AttachmentChangeobject
deleted
boolean
mime_type
string
mtime
number format: float
path
required
string
size_bytes
integer
updated_at
string format: date-time
server_time
string format: date-time
Examplegenerated
{ "changes": [ { "deleted": true, "mime_type": "example", "mtime": 1, "path": "example", "size_bytes": 1, "updated_at": "2026-04-15T12:00:00Z" } ], "server_time": "2026-04-15T12:00:00Z"}Missing/invalid since
Media typeapplication/json
MessageError
object
error
required
string
Example
{ "error": "not found"}